virtuo - virtual user objects

******!!!!!!IMPORTANT!!!!!!******
*                               *
*    Running anything before    *
*   reading documentation or    *
*  the scripts themselves is    *
*        !!!DANGEROUS!!!        *
*                               *
******!!!!!!IMPORTANT!!!!!!******

This is a virtual user system based on sqlite for any
system that supports sqlite as a backend or can be made
to use it through an external tool.

Mostly made for mail and ftp handling but it can be expanded
beyond that easily if need be.

virtuo script:
takes one or no parameters...
One parameter that is accepted is path and file to the sqlite database
file(defaults to /etc/virtuo/virtuo.sdb).

The initial menu either allows to create the database and initial tables
or manage users of an existing database.

After creating the database one can go directly to managing users.

The only required field is the username everything else can be left
empty and will cause that option to be disabled.

Config files are provided for:
 - exim
 - dovecot
 - pure-ftpd
 - dspam

I will accept config files for other setups if they are system agnostic.

Comments on configs:
exim:
  has some options to set at the top like IP and domain and subnet.
  eventually that should be also in the sqlite database.
dovecot:
  protocols you want to run, by default it only runs imap, imaps
  and managesieve
pure-ftpd:
  command line args for pure-pftd and authd and an external
  authenticator script
dspam:
  nothing remarkable here, might change some vars around like
  location where to store the data

TODO:
  have atleast one webinterface that handles the database
  relay_to,_from domains
